### Method

# GLib Variant hash

since: 2.24

#### Declaration [src]

    guint
    g_variant_hash (
      gconstpointer value
    )

#### Description [src]

Generates a hash value for a `GVariant` instance.

The output of this function is guaranteed to be the same for a given value only per-process. It may change between different processor architectures or even different versions of GLib. Do not use this function as a basis for building protocols or file formats.

The type of `value` is #gconstpointer only to allow use of this function with `GHashTable`. `value` must be a `GVariant`.

Available since: 2.24

#### Return value

Type: `guint`

A hash value corresponding to `value`.